# Contributing to GammaCV

From opening a bug report to creating a pull request: every contribution is appreciated and welcome. If you're planning to implement a new feature or change the api please create an issue first.

## Bug report
A good bug report shouldn't leave others needing to chase you for more information. Please try to be as detailed as possible in your report.

## Give feedback on issues
Some issues are created without important information. Help make them easier to resolve by adding any relevant information.

## Fix bugs and implement features
Confirmed bugs and ready-to-implement features are marked with the help wanted label. Post a comment on an issue to indicate you would like to work on it.

## Documentation
We greatly appreciate any time spent fixing typos or clarifying sections in the documentation.

## Submitting Changes
After getting some feedback, push to your fork and submit a pull request. We may suggest some changes or improvements or alternatives, but for small changes your pull request should be accepted quickly.

Some things that will increase the chance that your pull request is accepted:
- Write tests
- Follow the existing coding style, check with `npm run lint`
- Write a good commit message
